| Home | Libraries | People | FAQ | More

##### make_vector

###### Description

Returns the result type of `make_vector`.

###### Synopsis

    template <typename T0, typename T1,... typename TN>
    struct make_vector;

The variadic function accepts `0` to `FUSION_MAX_VECTOR_SIZE` elements, where `FUSION_MAX_VECTOR_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_VECTOR_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_VECTOR_SIZE 20

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`T0, T1,... TN` | Any type | Template arguments to `make_vector`

###### Expression Semantics

    result_of::make_vector<T0, T1,... TN>::type

Return type: A `vector` with elements of types converted following the rules for element conversion.

Semantics: Create a `vector` from `T0, T1,... TN`.

###### Header

    #include <boost/fusion/container/generation/make_list.hpp>
    #include <boost/fusion/include/make_list.hpp>

###### Example

    result_of::make_vector<int, const char(&)[7], double>::type